Fit survival curves to CDX data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"running_coupon": 1.4658129805029452,
"traded_spread": 0.8008281904610115,
"assumed_recovery_rate": 6.027456183070403
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"running_coupon": 1.4658129805029452,
"traded_spread": 0.8008281904610115,
"assumed_recovery_rate": 6.027456183070403
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData"
payload = { "data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"running_coupon": 1.4658129805029452,
"traded_spread": 0.8008281904610115,
"assumed_recovery_rate": 6.027456183070403
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"running_coupon": 1.4658129805029452,
"traded_spread": 0.8008281904610115,
"assumed_recovery_rate": 6.027456183070403
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
data: [
{
date: '2000-01-23T04:56:07.000+00:00',
identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
running_coupon: 1.4658129805029452,
traded_spread: 0.8008281904610115,
assumed_recovery_rate: 6.027456183070403
},
{
date: '2000-01-23T04:56:07.000+00:00',
identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
running_coupon: 1.4658129805029452,
traded_spread: 0.8008281904610115,
assumed_recovery_rate: 6.027456183070403
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
[
'date' => '2000-01-23T04:56:07.000+00:00',
'identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'running_coupon' => 1.4658129805029452,
'traded_spread' => 0.8008281904610115,
'assumed_recovery_rate' => 6.027456183070403
],
[
'date' => '2000-01-23T04:56:07.000+00:00',
'identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'running_coupon' => 1.4658129805029452,
'traded_spread' => 0.8008281904610115,
'assumed_recovery_rate' => 6.027456183070403
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData"
payload := strings.NewReader("{\n \"data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"survival_curves": [
{
"issuer_id": "issuer_id",
"maturities": [
6,
6
],
"default_type": "default_type",
"currency": "currency",
"issuer_identifier": {
"code": "code",
"identifier_type": "DerivitecBondIssuerId"
},
"reference_date": "2000-01-23T04:56:07.000+00:00",
"survival_probabilities": [
1.284659006116532,
1.284659006116532
],
"extrapolate": true,
"debt_type": "senior"
},
{
"issuer_id": "issuer_id",
"maturities": [
6,
6
],
"default_type": "default_type",
"currency": "currency",
"issuer_identifier": {
"code": "code",
"identifier_type": "DerivitecBondIssuerId"
},
"reference_date": "2000-01-23T04:56:07.000+00:00",
"survival_probabilities": [
1.284659006116532,
1.284659006116532
],
"extrapolate": true,
"debt_type": "senior"
}
]
}Fit survival curves to CDX data
POST
/
api
/
MarketData
/
FitSurvivalCurvesToCdxData
Fit survival curves to CDX data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"running_coupon": 1.4658129805029452,
"traded_spread": 0.8008281904610115,
"assumed_recovery_rate": 6.027456183070403
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"running_coupon": 1.4658129805029452,
"traded_spread": 0.8008281904610115,
"assumed_recovery_rate": 6.027456183070403
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData"
payload = { "data": [
{
"date": "2000-01-23T04:56:07.000+00:00",
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"running_coupon": 1.4658129805029452,
"traded_spread": 0.8008281904610115,
"assumed_recovery_rate": 6.027456183070403
},
{
"date": "2000-01-23T04:56:07.000+00:00",
"identifier": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"running_coupon": 1.4658129805029452,
"traded_spread": 0.8008281904610115,
"assumed_recovery_rate": 6.027456183070403
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
data: [
{
date: '2000-01-23T04:56:07.000+00:00',
identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
running_coupon: 1.4658129805029452,
traded_spread: 0.8008281904610115,
assumed_recovery_rate: 6.027456183070403
},
{
date: '2000-01-23T04:56:07.000+00:00',
identifier: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
running_coupon: 1.4658129805029452,
traded_spread: 0.8008281904610115,
assumed_recovery_rate: 6.027456183070403
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
[
'date' => '2000-01-23T04:56:07.000+00:00',
'identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'running_coupon' => 1.4658129805029452,
'traded_spread' => 0.8008281904610115,
'assumed_recovery_rate' => 6.027456183070403
],
[
'date' => '2000-01-23T04:56:07.000+00:00',
'identifier' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
'running_coupon' => 1.4658129805029452,
'traded_spread' => 0.8008281904610115,
'assumed_recovery_rate' => 6.027456183070403
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData"
payload := strings.NewReader("{\n \"data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/FitSurvivalCurvesToCdxData")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"data\": [\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n },\n {\n \"date\": \"2000-01-23T04:56:07.000+00:00\",\n \"identifier\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n \"running_coupon\": 1.4658129805029452,\n \"traded_spread\": 0.8008281904610115,\n \"assumed_recovery_rate\": 6.027456183070403\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"survival_curves": [
{
"issuer_id": "issuer_id",
"maturities": [
6,
6
],
"default_type": "default_type",
"currency": "currency",
"issuer_identifier": {
"code": "code",
"identifier_type": "DerivitecBondIssuerId"
},
"reference_date": "2000-01-23T04:56:07.000+00:00",
"survival_probabilities": [
1.284659006116532,
1.284659006116532
],
"extrapolate": true,
"debt_type": "senior"
},
{
"issuer_id": "issuer_id",
"maturities": [
6,
6
],
"default_type": "default_type",
"currency": "currency",
"issuer_identifier": {
"code": "code",
"identifier_type": "DerivitecBondIssuerId"
},
"reference_date": "2000-01-23T04:56:07.000+00:00",
"survival_probabilities": [
1.284659006116532,
1.284659006116532
],
"extrapolate": true,
"debt_type": "senior"
}
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Was this page helpful?